Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.scan.annotations
Class MetaAnnotationTypeFilter

    java.lang.Object
      org.mule.util.scan.annotations.MetaAnnotationTypeFilter

All Implemented Interfaces:
  AnnotationFilter

    public class MetaAnnotationTypeFilter

extends Object
implements AnnotationFilter

Will filter for a meta annotation type specified as the annotation class. Meta annotations are annotations on other annotations. this filter allows discovery of annotations on a class that have the same meta annotation.

Field Summary
`protected Log` | `logger` logger used by this class

Constructor Summary
`MetaAnnotationTypeFilter(Class<? extends Annotation> annotation)` Creates an Meta Annotation Filter that look for Meta annotation on an annotation class.
`MetaAnnotationTypeFilter(Class<? extends Annotation> annotation, ClassLoader classLoader)` Creates an Meta Annotation Filter that look for Meta annotation on an annotation class

Method Summary
`boolean` | `accept(AnnotationInfo info)` Should the annotation represented by an `AnnotationInfo` object be accepted
`URL` | `getClassURL(String className)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient Log logger

  logger used by this class

Constructor Detail

### MetaAnnotationTypeFilter

    public MetaAnnotationTypeFilter(Class<? extends Annotation> annotation,
                                    ClassLoader classLoader)

  Creates an Meta Annotation Filter that look for Meta annotation on an annotation class

  Parameters:
    `annotation` - the annotation class to read
    `basepath` - the base path of the location of the class. Specifying this will be more reliable in applications that use Multiple classloaders since ASM uses the system classloader to read classes and thus ignores child classloaders. The basepath should also start with a scheme, usually file: or jar:

### MetaAnnotationTypeFilter

    public MetaAnnotationTypeFilter(Class<? extends Annotation> annotation)

  Creates an Meta Annotation Filter that look for Meta annotation on an annotation class. This constructor will cause the class reading to read from the System clssloader

  Parameters:
    `annotation` - the annotation class to read

Method Detail

### accept

    public boolean accept(AnnotationInfo info)

  Description copied from interface: `AnnotationFilter`
  Should the annotation represented by an `AnnotationInfo` object be accepted

  Specified by:
    `accept` in interface `AnnotationFilter`
  Parameters:
    `info` - the annotation information to select on
  Returns:
    true if the annotation matches the criteria for this filter

### getClassURL

    public URL getClassURL(String className)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.